---
apiVersion: vinyl.solidite.fr/v1beta1
kind: Component
category: virt
metadata:
  name: cdi
  description: Containerized Data Importer
options:
  images:
    default:
      apiserver:
        pull_policy: IfNotPresent
        registry: quay.io
        repository: kubevirt/cdi-apiserver
        tag: v1.59.0
      cloner:
        registry: quay.io
        repository: kubevirt/cdi-cloner
        tag: v1.59.0
      controller:
        registry: quay.io
        repository: kubevirt/cdi-controller
        tag: v1.59.0
      importer:
        registry: quay.io
        repository: kubevirt/cdi-importer
        tag: v1.59.0
      operator:
        pull_policy: IfNotPresent
        registry: quay.io
        repository: kubevirt/cdi-operator
        tag: v1.59.0
      uploadproxy:
        registry: quay.io
        repository: kubevirt/cdi-uploadproxy
        tag: v1.59.0
      uploadserver:
        registry: quay.io
        repository: kubevirt/cdi-uploadserver
        tag: v1.59.0
    examples:
    - apiserver:
        pull_policy: IfNotPresent
        registry: quay.io
        repository: kubevirt/cdi-apiserver
        tag: v1.59.0
      cloner:
        registry: quay.io
        repository: kubevirt/cdi-cloner
        tag: v1.59.0
      controller:
        registry: quay.io
        repository: kubevirt/cdi-controller
        tag: v1.59.0
      importer:
        registry: quay.io
        repository: kubevirt/cdi-importer
        tag: v1.59.0
      operator:
        pull_policy: IfNotPresent
        registry: quay.io
        repository: kubevirt/cdi-operator
        tag: v1.59.0
      uploadproxy:
        registry: quay.io
        repository: kubevirt/cdi-uploadproxy
        tag: v1.59.0
      uploadserver:
        registry: quay.io
        repository: kubevirt/cdi-uploadserver
        tag: v1.59.0
    properties:
      apiserver:
        default:
          pull_policy: IfNotPresent
          registry: quay.io
          repository: kubevirt/cdi-apiserver
          tag: v1.59.0
        properties:
          pull_policy:
            default: IfNotPresent
            enum:
            - Always
            - Never
            - IfNotPresent
            type: string
          registry:
            default: quay.io
            type: string
          repository:
            default: kubevirt/cdi-apiserver
            type: string
          tag:
            default: v1.59.0
            type: string
        type: object
      cloner:
        default:
          registry: quay.io
          repository: kubevirt/cdi-cloner
          tag: v1.59.0
        properties:
          registry:
            default: quay.io
            type: string
          repository:
            default: kubevirt/cdi-cloner
            type: string
          tag:
            default: v1.59.0
            type: string
        type: object
      controller:
        default:
          registry: quay.io
          repository: kubevirt/cdi-controller
          tag: v1.59.0
        properties:
          registry:
            default: quay.io
            type: string
          repository:
            default: kubevirt/cdi-controller
            type: string
          tag:
            default: v1.59.0
            type: string
        type: object
      importer:
        default:
          registry: quay.io
          repository: kubevirt/cdi-importer
          tag: v1.59.0
        properties:
          registry:
            default: quay.io
            type: string
          repository:
            default: kubevirt/cdi-importer
            type: string
          tag:
            default: v1.59.0
            type: string
        type: object
      operator:
        default:
          pull_policy: IfNotPresent
          registry: quay.io
          repository: kubevirt/cdi-operator
          tag: v1.59.0
        properties:
          pull_policy:
            default: IfNotPresent
            enum:
            - Always
            - Never
            - IfNotPresent
            type: string
          registry:
            default: quay.io
            type: string
          repository:
            default: kubevirt/cdi-operator
            type: string
          tag:
            default: v1.59.0
            type: string
        type: object
      uploadproxy:
        default:
          registry: quay.io
          repository: kubevirt/cdi-uploadproxy
          tag: v1.59.0
        properties:
          registry:
            default: quay.io
            type: string
          repository:
            default: kubevirt/cdi-uploadproxy
            type: string
          tag:
            default: v1.59.0
            type: string
        type: object
      uploadserver:
        default:
          registry: quay.io
          repository: kubevirt/cdi-uploadserver
          tag: v1.59.0
        properties:
          registry:
            default: quay.io
            type: string
          repository:
            default: kubevirt/cdi-uploadserver
            type: string
          tag:
            default: v1.59.0
            type: string
        type: object
    type: object
dependencies:
- dist: null
  category: crd
  component: cdi
providers:
  kubernetes: true
  authentik: null
  kubectl: true
  postgresql: null
  mysql: null
  restapi: null
  http: null
  gitea: null
tfaddtype: null
